package net.sf.seaf.persistence.exception;

/**
 * Abstract base class of exceptions thrown from methods of code table server
 * controllers related to code table business logic.
 */
public abstract class CodeTableException extends SeafPersistenceException {

	private static final long serialVersionUID = 473939787948568429L;

	/**
	 * Standard constructor.
	 * 
	 * @param message
	 *            User message
	 */
	public CodeTableException(String message) {
		super(message);
	}

}
