package net.sf.seaf.persistence.exception;

import net.sf.seaf.persistence.dozer.EnumEntityEnumConverter;

/**
 * Thrown when {@link EnumEntityEnumConverter} cannot access enumeration of an
 * enumerated persistent entity.
 */
public class PersistentEnumerationConversionException extends
		SeafPersistenceException {

	/**
	 * Full constructor.
	 * 
	 * @param message
	 * @param cause
	 */
	public PersistentEnumerationConversionException(String message,
			Throwable cause) {
		super(message, cause);
	}

	private static final long serialVersionUID = 1L;

}
