package net.sf.seaf.persistence;

/**
 * Common interface for all code tables.
 * <p>
 * A code table always has code and label properties.
 */
public interface CodeTable {

	/**
	 * Default getter for property code.
	 * 
	 * @return String The code property
	 */
	String getCode();

	/**
	 * Default setter for property code.
	 * 
	 * @param code
	 *            New value for the code property
	 */
	void setCode(String code);

	/**
	 * Default getter for property label.
	 * 
	 * @return String The label property
	 */
	String getLabel();

	/**
	 * Default setter for property label.
	 * 
	 * @param label
	 *            New value for the label property
	 */
	void setLabel(String label);

}
